/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {CoordinateMapRequest} from "./coordinateMapRequest";

export class AreaRequest {
    public areaId: string;

    public isTracked: boolean;

    public maps: CoordinateMapRequest[];

    /**
     * Creates a AreaRequest.
     *
     * @param {string} areaId
     * @param {boolean} isTracked
     * @param {CoordinateMapRequest} maps
     */
    constructor(areaId: string, isTracked: boolean, maps: CoordinateMapRequest[]) {
        this.areaId = areaId;
        this.isTracked = isTracked;
        this.maps = maps;
    }
}
